CURSES_ECHOCHAR(3)

NAME
curses_echochar, echochar, wechochar, pechochar - curses add characters and then refresh routines

LIBRARY
libcurses

SYNOPSIS
#include <curses.h>
int
echochar(const chtype ch);
int
wechochar(WINDOW *win, const chtype ch);
int
pechochar(WINDOW *pad, const chtype ch);

DESCRIPTION
These functions add characters to stdscr or to the specified window or pad and then cause an immediate refresh() of that window or pad.

The echochar() function adds the character given in ch to stdscr at the current cursor position and advances the current cursor position by one. Any character attributes set in ch will be merged with the background attributes currently set on stdscr. stdscr is then refreshed. Calling echochar() is equivalent to calling addch() followed by refresh().

The wechochar() function is the same as the echochar() function, excepting that the character is added to the window specified by win and win is refreshed.

The pechochar() function is the similar to the echochar() function, excepting that the character is added to the pad specified by pad and pad is refreshed at its previous location on the screen. Calling pechochar() is equivalent to calling addch() followed by prefresh().

RETURN VALUES
These functions will return one of the following values:

OK  The function completed successfully.
ERR An error occurred in the function.

SEE ALSO
curses_addch(3), curses_attributes(3), curses_pad(3), curses_refresh(3)

STANDARDS
The echochar(), wechochar(), and pechochar() functions comply with the X/Open Curses specification, part of the Single Unix Specification.

HISTORY
The Curses package appeared in 4.0BSD.